Bug 1102751 - Got "Error running removeDevice" after kill -9 docker [NEEDINFO]
Summary: Got "Error running removeDevice" after kill -9 docker
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: docker-io
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-29 13:38 UTC by Michal Fojtik
Modified: 2015-05-29 12:03 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-29 12:03:24 UTC
Type: Bug
dwalsh: needinfo? (mfojtik)


Attachments (Terms of Use)

Description Michal Fojtik 2014-05-29 13:38:31 UTC
Description of problem:

While I was playing with Docker today, I found interesting behavior:

When you 'kill -9' the 'docker -d' process, then this happens:

1. The 'docker -d' process gets killed ;-)
2. All containers gets killed
3. The 'docker -d' restarts, because of Restart=on-failure

Now, while all this is expected and OK, I get this when I tried to 'restart' the container that was killed in 2):


May 29 13:24:56 ip-10-146-193-102 systemd[1]: Starting Container origin-db-1...
May 29 13:24:56 ip-10-146-193-102 sh[19731]: Reusing b80104263de02f39bbc6d742c977ddadecb0660f5c50386eaf1cf645f3515b9c
May 29 13:25:07 ip-10-146-193-102 docker[19739]: Error: Cannot destroy container origin-db-1: Driver devicemapper failed to remove root filesystem e536cf328e0083e2414c750434deb1127517d00399fddac84903825d6f003787: Error running removeDevice
May 29 13:25:07 ip-10-146-193-102 docker[19739]: 2014/05/29 13:25:07 Error: failed to remove one or more containers
May 29 13:25:07 ip-10-146-193-102 gear[21193]: user: unknown user ctr-origin-db-1
May 29 13:25:09 ip-10-146-193-102 docker[21192]: 2014/05/29 13:25:09 Error: Cannot start container bd1a88a35e84ef6d71fa3e1df0b4e2998318dfed6d60fd3ae381567fff2ac2a3: Cannot find child for /origin-db-1
May 29 13:25:09 ip-10-146-193-102 systemd[1]: ctr-origin-db-1.service: main process exited, code=exited, status=1/FAILURE


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1. Start up some containers
2. kill -9 (the 'docker -d' process pid)
3. Try to start the dead container again
4. Get the error above.

Actual results:


Expected results:

Containers should be successfully started back.


Additional info:

Comment 1 Daniel Walsh 2014-06-23 13:44:16 UTC
Does this still happen with docker-1.0?

Comment 2 Daniel Walsh 2014-06-27 17:05:33 UTC
Reopen if not.

Comment 3 Fedora End Of Life 2015-05-29 11:58:35 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.